"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.App = void 0;
const base_1 = require("@kubernetes-models/base");
const KappctrlK14sIoV1alpha1App_1 = require("../../_schemas/KappctrlK14sIoV1alpha1App.js");
/**
 * An App is a set of Kubernetes resources. These resources could span any number of namespaces or could be cluster-wide (e.g. CRDs). An App is represented in kapp-controller using a App CR. The App CR comprises of three main sections: spec.fetch – declare source for fetching configuration and OCI images spec.template – declare templating tool and values spec.deploy – declare deployment tool and any deploy specific configuration
 */
class App extends base_1.Model {
    constructor(data) {
        super({
            apiVersion: App.apiVersion,
            kind: App.kind,
            ...data
        });
    }
}
exports.App = App;
App.apiVersion = "kappctrl.k14s.io/v1alpha1";
App.kind = "App";
App.is = (0, base_1.createTypeMetaGuard)(App);
(0, base_1.setValidateFunc)(App, KappctrlK14sIoV1alpha1App_1.validate);
