import { Model, setValidateFunc, createTypeMetaGuard } from "@kubernetes-models/base";
import { validate } from "../../_schemas/KappctrlK14sIoV1alpha1App.mjs";
/**
 * An App is a set of Kubernetes resources. These resources could span any number of namespaces or could be cluster-wide (e.g. CRDs). An App is represented in kapp-controller using a App CR. The App CR comprises of three main sections: spec.fetch – declare source for fetching configuration and OCI images spec.template – declare templating tool and values spec.deploy – declare deployment tool and any deploy specific configuration
 */
export class App extends Model {
    constructor(data) {
        super({
            apiVersion: App.apiVersion,
            kind: App.kind,
            ...data
        });
    }
}
App.apiVersion = "kappctrl.k14s.io/v1alpha1";
App.kind = "App";
App.is = createTypeMetaGuard(App);
setValidateFunc(App, validate);
