"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PackageInstall = void 0;
const base_1 = require("@kubernetes-models/base");
const PackagingCarvelDevV1alpha1PackageInstall_1 = require("../../_schemas/PackagingCarvelDevV1alpha1PackageInstall.js");
/**
 * A Package Install is an actual installation of a package and its underlying resources on a Kubernetes cluster. It is represented in kapp-controller by a PackageInstall CR. A PackageInstall CR must reference a Package CR.
 */
class PackageInstall extends base_1.Model {
    constructor(data) {
        super({
            apiVersion: PackageInstall.apiVersion,
            kind: PackageInstall.kind,
            ...data
        });
    }
}
exports.PackageInstall = PackageInstall;
PackageInstall.apiVersion = "packaging.carvel.dev/v1alpha1";
PackageInstall.kind = "PackageInstall";
PackageInstall.is = (0, base_1.createTypeMetaGuard)(PackageInstall);
(0, base_1.setValidateFunc)(PackageInstall, PackagingCarvelDevV1alpha1PackageInstall_1.validate);
