import { Model, setValidateFunc, createTypeMetaGuard } from "@kubernetes-models/base";
import { validate } from "../../_schemas/PackagingCarvelDevV1alpha1PackageInstall.mjs";
/**
 * A Package Install is an actual installation of a package and its underlying resources on a Kubernetes cluster. It is represented in kapp-controller by a PackageInstall CR. A PackageInstall CR must reference a Package CR.
 */
export class PackageInstall extends Model {
    constructor(data) {
        super({
            apiVersion: PackageInstall.apiVersion,
            kind: PackageInstall.kind,
            ...data
        });
    }
}
PackageInstall.apiVersion = "packaging.carvel.dev/v1alpha1";
PackageInstall.kind = "PackageInstall";
PackageInstall.is = createTypeMetaGuard(PackageInstall);
setValidateFunc(PackageInstall, validate);
