"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PackageRepository = void 0;
const base_1 = require("@kubernetes-models/base");
const PackagingCarvelDevV1alpha1PackageRepository_1 = require("../../_schemas/PackagingCarvelDevV1alpha1PackageRepository.js");
/**
 * A package repository is a collection of packages and their metadata. Similar to a maven repository or a rpm repository, adding a package repository to a cluster gives users of that cluster the ability to install any of the packages from that repository.
 */
class PackageRepository extends base_1.Model {
    constructor(data) {
        super({
            apiVersion: PackageRepository.apiVersion,
            kind: PackageRepository.kind,
            ...data
        });
    }
}
exports.PackageRepository = PackageRepository;
PackageRepository.apiVersion = "packaging.carvel.dev/v1alpha1";
PackageRepository.kind = "PackageRepository";
PackageRepository.is = (0, base_1.createTypeMetaGuard)(PackageRepository);
(0, base_1.setValidateFunc)(PackageRepository, PackagingCarvelDevV1alpha1PackageRepository_1.validate);
