import { Model, setValidateFunc, createTypeMetaGuard } from "@kubernetes-models/base";
import { validate } from "../../_schemas/PackagingCarvelDevV1alpha1PackageRepository.mjs";
/**
 * A package repository is a collection of packages and their metadata. Similar to a maven repository or a rpm repository, adding a package repository to a cluster gives users of that cluster the ability to install any of the packages from that repository.
 */
export class PackageRepository extends Model {
    constructor(data) {
        super({
            apiVersion: PackageRepository.apiVersion,
            kind: PackageRepository.kind,
            ...data
        });
    }
}
PackageRepository.apiVersion = "packaging.carvel.dev/v1alpha1";
PackageRepository.kind = "PackageRepository";
PackageRepository.is = createTypeMetaGuard(PackageRepository);
setValidateFunc(PackageRepository, validate);
